I did check here, tested with a single game and didn't see any core in the info, just rechecked after reading your message and looks like i made the school boy error of checking the US (u) rom instead of the Europe (e) that i edited. thank you Paradadf
Posts made by looneymetal
-
RE: N64 emulator/core
-
N64 emulator/core
Hi Guys,
Just playing around with the build and have selected the best Core's for each individual rom for the N64 to ensure the best performance. I was just wondering where this information saves to? is there a specific file that i can back up so that i can transfer from my 32gb build to my 128gb build? without having to manually select the cores again for each game?
Many thanks,
Sven
-
RE: USB pad diagonals not working
@substring Apologies the switch pro is over bluetooth and battery had died (not sure if that's why) so was using the ps3 pad on the menu, ive just done it again with the switch pad being used (sorry)
-
RE: USB pad diagonals not working
@substring Apologies i thought that was on the website rather than through the pi so didn't have it on the network.
Im on a pc.Hope thats right?
-
RE: USB pad diagonals not working
@substring Thanks for your reply, i cannot get that link to work nor can i find a help section on the recalbox website.
I'll keep trying to configure. -
RE: USB pad diagonals not working
@substring Apologies for the delay, i had to work out how to do that, i think this is it.
#!/bin/sh
GTMP="/tmp"
DHOME="/recalbox/share/system"to be callable by any external tool
if test $# -eq 1
then
REPORTNAME=$(basename "$1" | sed -e s+'^([^.])..$'+'\1'+)
OUTPUTFILE=$1
else
REPORTNAME="recalbox-support-"$(date +%Y%m%d%H%M%S)
OUTPUTFILE="/recalbox/share/saves/${REPORTNAME}.tar.gz"
fiTMPDIR="${GTMP}/${REPORTNAME}"
f_cp() {
test -e "$1" && cp "$1" "$2"
}d_cp() {
test -d "$1" && cp -pr "$1" "$2"
}if mkdir "${TMPDIR}" && mkdir "${TMPDIR}/"{system,joysticks,lirc,kodi}
then
if ! cd "${TMPDIR}"
then
echo "Change directory failed" >&2
exit 1
fi
else
echo "Reporting directory creation failed" >&2
exit 1
fiSYSTEM
DSYSTEM="${TMPDIR}/system"
dmesg > "${DSYSTEM}/dmesg.txt"
lsmod > "${DSYSTEM}/lsmod.txt"
ps > "${DSYSTEM}/ps.txt"
df -h > "${DSYSTEM}/df.txt"
netstat -tuan > "${DSYSTEM}/netstat.txt"
lsusb -v > "${DSYSTEM}/lsusb.txt" 2>/dev/null
tvservice -m CEA > "${DSYSTEM}/tvservice-CEA.txt"
tvservice -m DMT > "${DSYSTEM}/tvservice-DMT.txt"
ifconfig -a > "${DSYSTEM}/ifconfig.txt"
lspci > "${DSYSTEM}/lspci.txt"
amixer > "${DSYSTEM}/amixer.txt"
aplay -l > "${DSYSTEM}/aplay-l.txt"
DISPLAY=:0.0 glxinfo > "${DSYSTEM}/glxinfo.txt"
DISPLAY=:0.0 xrandr > "${DSYSTEM}/xrandr.txt"
connmanctl technologies > "${DSYSTEM}/connman-technologies.txt"
connmanctl services > "${DSYSTEM}/connman-services.txt"
f_cp /recalbox/recalbox.version "${DSYSTEM}"
f_cp /recalbox/recalbox.arch "${DSYSTEM}"
f_cp /boot/config.txt "${DSYSTEM}"
f_cp /recalbox/share/system/recalbox.conf "${DSYSTEM}"
d_cp /recalbox/share/system/logs "${DSYSTEM}"
f_cp /var/log/messages "${DSYSTEM}"
f_cp /recalbox/share/system/.emulationstation/es_settings.cfg "${DSYSTEM}"
f_cp /recalbox/share/system/.emulationstation/es_log.txt "${DSYSTEM}"
f_cp /recalbox/share/system/.emulationstation/es_input.cfg "${DSYSTEM}"
f_cp /boot/recalbox-boot.conf "${DSYSTEM}"
f_cp /var/log/Xorg.0.log "${DSYSTEM}"Update logs
d_cp /recalbox/share/system/upgrade "${DSYSTEM}"
find "${DSYSTEM}/upgrade" -type f ! -name "upgrade" | xargs rmEmulators configs
d_cp /recalbox/share/system/configs "${TMPDIR}/configs"
joysticks
DJOYS="${TMPDIR}/joysticks"
find /dev/input > "${DJOYS}/inputs.txt"
for J in /dev/input/event*
do
N=$(basename ${J})
evtest --info "${J}" > "${DJOYS}/evtest.${N}.txt"
udevadm info -q all -n "${J}" > "${DJOYS}/udevadm.${N}.txt"
done
sdl2-jstest -l > "${DJOYS}/sdl2-jstest.txt"lirc
DLIRC="${TMPDIR}/lirc"
f_cp "${DHOME}/.config/lirc/lircd.conf" "${DLIRC}"kodi
DKODI="${TMPDIR}/kodi"
f_cp "${DHOME}/.kodi/userdata/Lircmap.xml" "${DKODI}"
f_cp "${DHOME}/.kodi/userdata/keymaps/recalbox.xml" "${DKODI}"
d_cp "${DHOME}/.kodi/userdata/remotes" "${DKODI}"
f_cp "${DHOME}/.kodi/temp/kodi.log" "${DKODI}"if ! (cd "${GTMP}" && tar cf - "${REPORTNAME}" | gzip -c > "${OUTPUTFILE}")
then
echo "Reporting zip creation failed" >&2
exit 1
firm -rf "${TMPDIR}"
echo "${OUTPUTFILE}"
exit 0 -
RE: USB pad diagonals not working
@substring and also tried with a switch pro controller and exactly the same.
-
RE: USB pad diagonals not working
Hi substring, ya that was me and following the advise on there I downloaded the genuine image from the link that was provided but still have exactly the same issue.
-
USB pad diagonals not working
Hi,
Wondering if anyone can help, i have the official download (now) and have a KXD PS3 clone wired pad.
When calibrating it asks me to put dpad input and then joystick 1 up and left and joystick 2 up and left which i set as my 2 analogue sticks.The problem is when playing things that require the analogue stick like n64, there are no diagonal directions. for example in Mario 64 i run around and i have to run in straight lines.
On retropie the joypad calibration allows for analogue sticks, is there anyway around this with Recalbox as apart from this little issue its my fav by far.
Kind regards,
-
RE: KXD USB pad diagonals not working
Im pretty new to all this i didnt realise this was unofficial! ill have a looky at official ones thanks for the link!
-
KXD USB pad diagonals not working
I downloaded the Galisteo_128GB_Recalbox4.1 - which i love but when i set up my pad
It asks me to configure dpad and then joystick 1 up and right i think it is and joystick 2 up and right.What this means is when i play something like Mario 64 my joysticks can only go up down left and right there is no diagonal registering, so you can image how mario runs about in that.
I am running a rasp3 with the above image, the KXD is a wired usb ps3 clone.
Just as a footnote, on other builds where its allowed me to configure analogues rather than just joystick 1 and 2 ive been able to get the diagonals to work.
Any help would be much appreciated.
Kind regards.